Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class FrameSequencer

    java.lang.Object
      FrameSequencer

    public class FrameSequencer

extends Object

Class used to save frames in a movie to a directory and show frames from a movie. This class tracks the directory, base file name, current frame number, and whether this sequence is being shown. Copyright Georgia Institute of Technology 2005

Author:
  Barbara Ericson ericson@cc.gatech.edu

Constructor Summary
`FrameSequencer(String directory)` Constructor that takes a directory name
`FrameSequencer(String directory, String baseName)` Constructor that takes a directory name and a base file name

Method Summary
`void` | `addFrame(Picture picture)` Method to add a picture to the frame sequence
`void` | `deleteLastFrame()` Method to delete the last frame
`String` | `getBaseName()` Method to get the base name
`String` | `getDirectory()` Method to get the directory to write the frames to
`int` | `getFrameNumber()` Method to get the frame number
`MoviePlayer` | `getMoviePlayer()` Method to get the movie player to use to show this sequence
`int` | `getNumFrames()` Method to get the number of frames in this sequence
`boolean` | `isShown()` Method to check if the frame sequence is being shown
`static void` | `main(String[] args)`
`void` | `play(int framesPerSecond)` Method to play the frames (pictures) added so far
`void` | `setBaseName(String name)` Method to set the base name
`void` | `setDirectory(String dir)` Method to set the directory to write the frames to
`void` | `setShown(boolean value)` Method to set the shown flag
`void` | `show()` Method to show the frame sequence

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FrameSequencer

    public FrameSequencer(String directory)

  Constructor that takes a directory name

  Parameters:
    `directory` - the directory to save the frames to

### FrameSequencer

    public FrameSequencer(String directory,
                          String baseName)

  Constructor that takes a directory name and a base file name

  Parameters:
    `directory` - the directory to save the frames to
    `baseName` - the base file name to use for the frames

Method Detail

### getDirectory

    public String getDirectory()

  Method to get the directory to write the frames to

  Returns:
    the directory to write the frames to

### setDirectory

    public void setDirectory(String dir)

  Method to set the directory to write the frames to

  Parameters:
    `dir` - the directory to use

### getBaseName

    public String getBaseName()

  Method to get the base name

  Returns:
    the base file name for the movie frames

### setBaseName

    public void setBaseName(String name)

  Method to set the base name

  Parameters:
    `name` - the new base name to use

### getFrameNumber

    public int getFrameNumber()

  Method to get the frame number

  Returns:
    the next frame number for the next picture added

### isShown

    public boolean isShown()

  Method to check if the frame sequence is being shown

  Returns:
    true if shown and false otherwise

### setShown

    public void setShown(boolean value)

  Method to set the shown flag

  Parameters:
    `value` - the value to use

### getNumFrames

    public int getNumFrames()

  Method to get the number of frames in this sequence

  Returns:
    the number of frames

### getMoviePlayer

    public MoviePlayer getMoviePlayer()

  Method to get the movie player to use to show this sequence

  Returns:
    the movie player used to show this (may be null)

### addFrame

    public void addFrame(Picture picture)

  Method to add a picture to the frame sequence

  Parameters:
    `picture` - the picture to add

### deleteLastFrame

    public void deleteLastFrame()

  Method to delete the last frame

### show

    public void show()

  Method to show the frame sequence

### play

    public void play(int framesPerSecond)

  Method to play the frames (pictures) added so far

  Parameters:
    `framesPerSecond` - the number of frames to show per second between frames

### main

    public static void main(String[] args)

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD